		CHANGELOG for USAGI iputils
$USAGI: CHANGELOG.USAGI.2000,v 1.1 2001/01/18 17:02:20 yoshfuji Exp $

<200012>
2000-12-06	yoshfuji
	* configure.in, configure, config.h.in: check for <getopt.h> and
	getopt_long().

<200011>
2000-11-02 20:59  yoshfuji

	* arping.c, clockdiff.c, md5.c, ping.c, ping6.8, ping6.c, rdisc.c,
	tftpd.c, tftpsubs.c, tracepath.c, tracepath6.c, traceroute6.c,
	include/md5.h, include/netinet/icmp6_ni.h,
	include/netinet/in_rthdr.h, include/netinet/ip6_hdr.h,
	include/sys/socket_cmsg.h: $_USAGI_$

2000-11-02 12:09  yoshfuji

	* README.USAGI: typo.

<200010>
2000-10-28 00:39  yoshfuji

	* Makefile.in, README.USAGI, acconfig.h, configure.in: $_USAGI_$

2000-10-25 22:47  yoshfuji

	* README.USAGI: FTP

2000-10-25 19:30  yoshfuji

	* SNAPSHOT.h, SNAPSHOT.h: downcase USAGI version

2000-10-25 19:30  yoshfuji

	* README.USAGI: FTP

2000-10-25 19:29  yoshfuji

	* SNAPSHOT.h: include date in USAGI version

2000-10-22 12:34  yoshfuji

	* acconfig.h, config.h.in, configure, configure.in:
	GAI_OK_WITH_ICMPV6 should be GAI_OK_WITH_RAW_ICMPV6

2000-10-22 12:28  yoshfuji

	* README.USAGI: sync'ed with iputils-ss001011

2000-10-22 12:03  yoshfuji

	* ping6.c: use myechoreply() and mynireply()

2000-10-22 11:51  yoshfuji

	* acconfig.h, config.h.in, configure, configure.in:
	GAI_OK_WITH_ICMPV6 should be GAI_OK_WITH_RAW_ICMPV6

2000-10-22 11:50  yoshfuji

	* sync with iputils-ss20001011

2000-10-20 21:09  yoshfuji

	* config.h.in, config.h.in: re-generated by autoheader

2000-10-20 11:43  yoshfuji

	* ping6_rthdr.c: remove useless ping6_rthdr.c (sync to
	bSTABLE-20001010a branch)

2000-10-20 11:40  yoshfuji

	* Makefile: remove Makefile

2000-10-20 11:37  yoshfuji

	* Makefile.in, README.USAGI, SNAPSHOT.h, acconfig.h, config.h.in,
	configure, configure.in, ping6.c, rdisc.c, tftpd.c, tracepath6.c,
	traceroute6.c, include/netinet/in_rthdr.h: merged from
	bSTABLE-20001010a branch (mSTABLE-20001010a_20001020)

2000-10-20 11:22  yoshfuji

	* rdisc.c: use uint32_t

2000-10-20 11:08  yoshfuji

	* tracepath6.c: fix millisecond printing (from Masaru Yokoi
	<masaru@turbolinux.co.jp>)

2000-10-18 13:31  yoshfuji

	* README.USAGI: cvsweb location

2000-10-16 23:06  yoshfuji

	* README.USAGI: features

2000-10-16 17:14  yoshfuji

	* README.USAGI: file README.USAGI was initially added on branch
	bSTABLE-20001010a.

2000-10-16 17:14  yoshfuji

	* README.USAGI: README.USAGI

2000-10-16 17:14  yoshfuji

	* SNAPSHOT.h: added -USAGI

2000-10-15 12:13  yoshfuji

	* configure, configure.in: typo

2000-10-15 11:14  yoshfuji

	* acconfig.h, configure, configure.in: check if getaddrinfo()
	accepts ICMPv6

2000-10-12 00:28  yoshfuji

	* traceroute6.c: print 'traceroute to XXX' correctly

2000-10-12 00:13  yoshfuji

	* traceroute6.c: print scope-id

2000-10-12 00:05  yoshfuji

	* traceroute6.c: more fix about scope-id

2000-10-11 23:59  yoshfuji

	* traceroute6.c: clean-up

2000-10-11 23:56  yoshfuji

	* traceroute6.c: traceroute6 to linklocal address with scope-id.

2000-10-11 23:23  yoshfuji

	* ping6.c: ensure to enable ping6 ff02::1%eth0

2000-10-11 23:19  yoshfuji

	* Makefile.in, acconfig.h, config.h.in, configure, configure.in,
	ping6.c, tftpd.c, tracepath6.c, include/netinet/in_rthdr.h: moved
	from broken branch bSTABLE-20001010

2000-10-11 18:02  yoshfuji

	* ping6.c: Don't print garbage on kernel (without scope_id)

2000-10-11 17:38  yoshfuji

	* include/netinet/in_rthdr.h: Use KAME's inet6_rthdr_XXX()

2000-10-11 17:33  yoshfuji

	* tftpd.c: suppress warning about MSG_CONFIRM

2000-10-11 17:30  yoshfuji

	* Makefile.in: clean-up

2000-10-11 17:29  yoshfuji

	* ping6_rthdr.c: moved to include/netinet/in_rthdr.h

2000-10-11 17:23  yoshfuji

	* config.h.in: file config.h.in was initially added on branch
	bSTABLE_20001010.

2000-10-11 17:23  yoshfuji

	* Makefile, Makefile.in, acconfig.h, config.h.in, configure,
	configure.in, ping6.c, tracepath6.c: autoconf

2000-10-11 17:23  yoshfuji

	* configure: file configure was initially added on branch
	bSTABLE_20001010.

2000-10-11 17:23  yoshfuji

	* Makefile.in: file Makefile.in was initially added on branch
	bSTABLE_20001010.

2000-10-11 17:23  yoshfuji

	* configure.in: file configure.in was initially added on branch
	bSTABLE_20001010.

2000-10-11 17:23  yoshfuji

	* acconfig.h: file acconfig.h was initially added on branch
	bSTABLE_20001010.

2000-10-11 17:18  yoshfuji

	* include/netinet/in_rthdr.h: remove RFC2292bis things and have
	inet6_XXX() inline

2000-10-11 15:46  yoshfuji

	* Makefile: nuke ping6_rthdr.c; functions should be provided by
	usagi-libc

2000-10-11 13:29  yoshfuji

	* ping6.c: ensure to define IPV6_2292HOPLIMIT

2000-10-11 13:28  yoshfuji

	* Makefile: Make with RFC2292

2000-10-02 17:46  yoshfuji

	* include/sys/socket_cmsg.h: use NULL instead of 0

2000-10-02 17:46  yoshfuji

	* include/sys/socket_cmsg.h: Don't do infinite loop if cmsg_len is
	0

2000-09-24 01:58  yoshfuji

	* ping.c: __u8 -> uint8_t

2000-09-24 01:51  yoshfuji

	* Makefile, arping.c, clockdiff.c, ping.c, ping6.c, ping6_rthdr.c,
	tracepath.c, tracepath6.c, include/netinet/in_rthdr.h,
	include/sys/socket_cmsg.h, include-glibc/glibc-bugs.h,
	include-glibc/socketbits.h, include-glibc/bits/sockunion.h,
	include-glibc/netinet/in.h, include-glibc/netinet/ip.h,
	include-glibc/netinet/ip_icmp.h: Merged bRFC2292BIS branch;
	conflict resolved.

2000-09-24 01:00  yoshfuji

	* ping.c: ensure to enable '-U' option and '-V' option.

2000-09-24 00:52  yoshfuji

	* ping6.c: typo

2000-09-24 00:38  yoshfuji

	* ping6.c: IPV6_RECVHOPLIMIT / IPV6_2292HOPLIMIT

2000-09-24 00:34  yoshfuji

	* ping6.c: USE_RFC2292 on modern systems.

2000-09-24 00:21  yoshfuji

	* Makefile: Comment WITH_RFC2292 and USE_RFC2292

2000-09-23 23:40  yoshfuji

	* Makefile, tracepath6.c: USE_RFC2292 -> WITH_RFC2292

2000-09-23 23:36  yoshfuji

	* ping6.c: Define HAVE_INET6_RTH_XXX if you have inet6_rthdr_XXX
	(or inet6_rth_XXX)

2000-09-23 23:30  yoshfuji

	* Makefile: Add include dependency

2000-09-23 23:25  yoshfuji

	* Makefile: more clean-up

2000-09-23 23:24  yoshfuji

	* Makefile: Clean-up

2000-09-23 23:11  yoshfuji

	* include/sys/socket_cmsg.h: ensure to use CMSG_ALIGN as ALIGN_D()
	and ALING_H().

2000-09-23 23:06  yoshfuji

	* include/sys/socket_cmsg.h: file socket_cmsg.h was initially added
	on branch bRFC2292BIS.

2000-09-23 23:05  yoshfuji

	* ping6.c, tracepath.c, tracepath6.c, include/sys/socket_cmsg.h:
	glibc's Erroneous CMSG_XXX() hack

2000-09-23 22:58  yoshfuji

	* tracepath6.c: RFC2292bis

2000-09-23 21:51  yoshfuji

	* tracepath6.c: indentation

2000-09-23 21:48  yoshfuji

	* tracepath.c: Use getaddrinfo() instead of inet_ntop()

2000-09-23 21:45  yoshfuji

	* tracepath6.c: Use getnameinfo() instead of inet_ntop()

2000-09-23 10:32  yoshfuji

	* include-glibc/: glibc-bugs.h, socketbits.h, bits/sockunion.h,
	netinet/in.h, netinet/ip.h, netinet/ip_icmp.h: remove needless
	includes

2000-09-23 10:27  yoshfuji

	* tracepath6.c: Dirty hack for old systems... sigh.

2000-09-22 23:18  yoshfuji

	* ping6.c: CRs in COPYING

2000-09-22 23:03  yoshfuji

	* Makefile: tracepath6 is now clean

2000-09-22 23:02  yoshfuji

	* tracepath6.c: suck <linux/in6.h> for OLD systems; we don't like
	such a hack.

2000-09-22 22:56  yoshfuji

	* ping6.c: RFC2292bis inet6_rth_XXX()

2000-09-22 01:08  yoshfuji

	* Makefile: tracepath is now clean; but won't work?

2000-09-22 01:01  yoshfuji

	* tracepath6.c: use <inetinet/in.h instead of <linux/in6.h>

2000-09-22 01:00  yoshfuji

	* tracepath.c, tracepath6.c: __uXX hack

2000-09-22 00:52  yoshfuji

	* tracepath6.c, tracepath.c: uintXX_t

2000-09-22 00:32  yoshfuji

	* Makefile: arping is clean

2000-09-22 00:31  yoshfuji

	* Makefile: tftpd.c is clean

2000-09-22 00:29  yoshfuji

	* Makefile: clockdiff is clean.

2000-09-22 00:27  yoshfuji

	* Makefile: ping is clean for now.

2000-09-22 00:26  yoshfuji

	* ping.c: nuke #include <linux/sockios.h>

2000-09-22 00:25  yoshfuji

	* ping.c: Check if ICMP_FILTER is supported.

2000-09-22 00:24  yoshfuji

	* ping.c: uintXX_t

2000-09-22 00:02  yoshfuji

	* ping6.c: Use ICMP6_NI_QUERY to detect new icmp6.h

2000-09-21 23:46  yoshfuji

	* ping6.c: define ICMP6_DST_UNREACH_BEYONDSCOPE as
	ICMP6_DST_UNREACH_NOTNEIBOR for old environment.

2000-09-21 22:59  yoshfuji

	* ping6.c: Sync to iputils-000418

2000-09-21 12:07  yoshfuji

	* ping6.c: iputils-ss000418 conflict resolved; but seems not to
	work.  fix later.

2000-09-21 11:28  yoshfuji

	* ping.c: iputils-ss000418 conflict resolved

2000-09-21 11:12  yoshfuji

	* arping, clockdiff, ping, ping6, rdisc, tftpd, tracepath,
	tracepath6, traceroute6: Remove binaries. (?)

2000-09-21 11:09  yoshfuji

	* sync with iputils-ss000418

2000-09-21 00:08  yoshfuji

	* ping6.c: ICMP6_DST_UNREACH_NOTNEIGHBOR ->
	ICMP6_DST_UNREACH_BEYONDSCOPE

2000-09-20 23:42  yoshfuji

	* ping6_rthdr.c, include/netinet/in_rthdr.h: Directly declare
	inet_rthdr_XXX() as function

2000-09-20 23:37  yoshfuji

	* include/netinet/in_rthdr.h: ;

2000-09-20 23:33  yoshfuji

	* ping6_rthdr.c, include/netinet/in_rthdr.h: RFC2292bis
	inet6_rth_XXX()

2000-09-20 23:10  yoshfuji

	* ping6_rthdr.c: Use IPV6_RTHDR_TYPE_0

2000-09-20 19:26  yoshfuji

	* arping.c: Don't try to re-define ntohs() etc.

2000-09-20 19:22  yoshfuji

	* clockdiff.c: uintXX_t

2000-09-12 13:50  yoshfuji

	* ping6.c: parenthesis

2000-09-12 13:48  yoshfuji

	* ping6.c: Don't filter NI reply with IPV4ADDR mode; previous one
	was wrong.

2000-09-12 13:45  yoshfuji

	* ping6.c: Don't filter NI reply with IPV4ADDR mode.

2000-09-01 13:02  yoshfuji

	* ping6.c: Print std-dev. (KAME ping6:1.72)

2000-09-01 12:55  yoshfuji

	* ping6.c: tmin,tmax,tsum in double, interval in struct timeval.

2000-08-31 23:32  yoshfuji

	* ping6.c: typo (KAME ping6.c:1.84)

2000-08-31 23:30  yoshfuji

	* ping6.c: remove IPv4 ping-related declaration. (KAME
	ping6.c:1.66)

2000-08-31 23:20  yoshfuji

	* ping6.c: 
	always check result of inet_ntop(). (KAME ping6 1.84->1.85)

2000-08-31 22:32  yoshfuji

	* ping6.c: fix typoes: NI_NODEADDR_FLAG_TRUNCATE ->
	NI_NODEADDR_FLAG_ALL; (KAME ping6 1.82->1.83)

2000-08-31 16:17  yoshfuji

	* ping6.c: Node addresses / ipv4 addresses reply must have ttl
	fields.

2000-08-31 13:04  yoshfuji

	* ping6.c: Remove -P (--priority); use -T (--tclass) instead.

2000-08-31 13:02  yoshfuji

	* ping6.c: wording: ttl -> hoplimit

2000-08-31 12:59  yoshfuji

	* ping6.c: Renumber flags

2000-08-31 01:00  yoshfuji

	* ping6.c: fill() may be overlowed

2000-08-31 00:47  yoshfuji

	* ping6.c: s/nih/nip/

2000-08-31 00:46  yoshfuji

	* ping6.c: -H (--hostname) option.

2000-08-30 23:49  yoshfuji

	* ping6.c: define get_hoplim()

2000-08-30 23:23  yoshfuji

	* ping6.c: clean-up pinger()

2000-08-30 23:03  yoshfuji

	* ping6.c: s/icmph/icp/

2000-08-30 16:40  yoshfuji

	* ping6.c: signed problem: needless?

2000-08-30 16:03  yoshfuji

	* ping6_rthdr.c: typo

2000-08-30 16:02  yoshfuji

	* ping6_rthdr.c, include/netinet/in_rthdr.h: define
	inet6_rthdr_lasthop

2000-08-30 14:35  yoshfuji

	* ping6.c: singed problem

2000-08-30 14:28  yoshfuji

	* ping6.c: singed problem

2000-08-30 13:55  yoshfuji

	* ping6.c: NI group address should be computed from hostname in
	lower case.

2000-08-28 21:32  yoshfuji

	* ping6.c: closing bracket ')'

2000-08-28 21:12  yoshfuji

	* ping6.8, ping6.c: Set subject name / address

2000-08-26 02:06  yoshfuji

	* include/netinet/icmp6_ni.h: ICMP6_NI_SUCESS->ICMP6_NI_SUCCESS

2000-08-19 12:53  yoshfuji

	* ping6.c: clean-up

2000-08-19 12:50  yoshfuji

	* ping6.c: newline

2000-08-19 12:47  yoshfuji

	* ping6.c: Ensure to print icmp header for icmp packet other othan
	echo/ni_query etc.

2000-08-19 12:20  yoshfuji

	* include/netinet/ip6_hdr.h: Definition for
	IPV6_VERSION,IPV6_VERSION_MASK,IPV6_FLOWINFO_MASK and
	IPV6_FLOWLABEL_MASK

2000-08-19 12:20  yoshfuji

	* ping6.c: pr_retip() etc. (from KAME ping6).

2000-08-15 19:01  yoshfuji

	* ping6.8: ping->ping6

2000-08-15 18:55  yoshfuji

	* ping6.8: re-order

2000-08-15 18:51  yoshfuji

	* ping6.8: ping6(8) manpage

2000-08-15 17:46  yoshfuji

	* ping6.c, ping6_rthdr.c, include/netinet/icmp6_ni.h,
	include/netinet/in_rthdr.h: copying

2000-08-15 17:37  yoshfuji

	* ping6.c: decl. for i

2000-08-15 17:20  yoshfuji

	* ping6.c: clean-up

2000-08-15 17:17  yoshfuji

	* ping6.c: Fix bitmap

2000-08-15 07:32  yoshfuji

	* ping6.c: prototypes

2000-08-15 07:29  yoshfuji

	* ping6.c: chain 32bit-word-bounary 1s

2000-08-14 19:27  yoshfuji

	* ping6.c: clean-up and change output for NI Suptypes reply;
	pr_bitrange1() from itojun/KAME.

2000-08-14 18:15  yoshfuji

	* ping6.c: More strict boundary check

2000-08-13 16:16  yoshfuji

	* ping6.c: forgot to do ntohs()

2000-08-10 12:38  yoshfuji

	* ping6.c: 8192 -> MAX_NIQTYPEBMP

2000-08-09 23:19  yoshfuji

	* ping6.c: Don't use sizeof(struct icmp6_hdr) etc. to avoid
	alignment problems

2000-08-09 22:51  yoshfuji

	* ping6.c: fix printing invalid namelen

2000-08-09 20:11  yoshfuji

	* ping6.c: NI Suptypes fix

2000-08-07 14:47  yoshfuji

	* ping.c: Supporte long options

2000-08-07 14:27  yoshfuji

	* ping.c: Use err(),warn() family

2000-08-07 14:17  yoshfuji

	* ping6.c: Help message

2000-08-07 14:14  yoshfuji

	* ping6.c: %d->%u, %08X->%08x

2000-08-07 14:14  yoshfuji

	* ping6.c: print "bitmap" even if it is invalid

2000-08-07 14:11  yoshfuji

	* ping6.c: Fix some iteration problem

2000-08-04 20:47  yoshfuji

	* ping6.c: typo...

2000-08-04 20:33  yoshfuji

	* ping6.c: Clean-up!

2000-08-04 19:44  yoshfuji

	* ping6.c: Ensure to set NI filter with -4

2000-08-04 19:37  yoshfuji

	* ping6.c, include/netinet/icmp6_ni.h: NI_QTYPE_IPV4ADDR.  XXX:IPv4
	Subject

2000-08-04 19:10  yoshfuji

	* ping6.c: Change options: nodeinfo-fqdn -> ni-fqdn, nodeinfo-addr
	-> ni-addr, nodeinfo-type -> ni-qtypes

2000-08-04 19:05  yoshfuji

	* ping6.c: flag compressed bitmap

2000-08-04 18:53  yoshfuji

	* ping6.c: Reset ni_opts

2000-08-04 18:27  yoshfuji

	* ping6.c: NodeInfo Supported Qtypes compressed bitmap. Re-order NI
	Supported Qtypes output.

2000-08-04 17:30  yoshfuji

	* ping6.c: NI Supprted Qtypes.

2000-08-03 15:58  yoshfuji

	* ping6.c, ping6_rthdr.c, include/netinet/icmp6_ni.h,
	include/netinet/in_rthdr.h: Disclaimer

2000-08-03 13:29  yoshfuji

	* ping.c, ping6.c: Remove trailing \n in format for
	err(),errx(),warn(),warnx()

2000-08-03 13:22  yoshfuji

	* ping.c: Use err(),errx(), warn(), warnx()

2000-08-03 13:10  yoshfuji

	* ping.c: raise socket() error later

2000-08-03 13:04  yoshfuji

	* ping6.c: Use err() and warn()

2000-08-03 12:58  yoshfuji

	* ping6.c: Don't use err as a variable.

2000-08-03 12:39  yoshfuji

	* ping6.c: Remove useless {}s

2000-08-03 12:27  yoshfuji

	* ping6.c: raise socket() error after option-parsing.

2000-08-03 12:18  yoshfuji

	* ping6.c: Don't display obsolete options

2000-08-03 12:13  yoshfuji

	* ping6.c: Re-enable -t ttl (and -P priority if without IPsec)
	option.

2000-08-03 12:05  yoshfuji

	* ping6.c: Use errx()/warnx().

2000-08-03 11:51  yoshfuji

	* ping6.c: ping->ping6

2000-07-23 16:44  yoshfuji

	* ping6.c: Don't use ICMP6_ECHOLEN, ICMP6_NI{Q,R}LEN and use
	sizeof(struct icmp6_hdr) etc. XXX:128bit architecture?

2000-07-22 22:14  yoshfuji

	* ping6.c: clen -> coff

2000-07-22 22:09  yoshfuji

	* ping6.c: Correct coping offset.

2000-07-22 22:04  yoshfuji

	* ping6.c: Correct error message

2000-07-22 21:54  yoshfuji

	* ping6.c: DNS compression for non-FQDN hosts.

2000-07-22 21:10  yoshfuji

	* ping6.c: DNS compression support (06-draft)

2000-07-18 23:46  yoshfuji

	* ping6.c: Don't do 'timing' if you do NI query.

2000-07-18 16:10  yoshfuji

	* ping6.c: Clean up

2000-07-16 11:41  yoshfuji

	* ping6_rthdr.c: STRICT/LOOSE flag was set incorrectly

2000-07-16 02:43  yoshfuji

	* traceroute6.c: Similar for icmp6 socket.

2000-07-16 02:15  yoshfuji

	* ping6.c: Long options / help support.

2000-07-15 11:34  yoshfuji

	* ping6.c: Bind to device even if you have sin6_scope_id support in
	glibc.

2000-07-15 11:33  yoshfuji

	* traceroute6.c: Bind to device if device is supplied. Without
	this, ping6 to link-local (multicast) address will be failed if we
	don't have sin6_scope_id support in glibc.

2000-07-15 11:13  yoshfuji

	* ping6.c: Bind to device if device is supplied. Without this,
	ping6 to link-local (multicast) address will be failed if we don't
	have sin6_scope_id support in glibc.

2000-07-15 11:10  yoshfuji

	* ping6.c: 1.24->1.25 change was done by misunderstanding; original
	is ok.

2000-07-14 19:50  kunitake

	* ping6.c: I think that bind() need be called before getsockname().

2000-07-14 02:36  yoshfuji

	* tftpd.c: fix a typo in original.

2000-07-13 18:23  yoshfuji

	* Makefile, tftpd.c, tftpsubs.c: IPv6 support (not enabled by
	default; define INET6 if you want to enable this feature)

2000-07-13 01:19  yoshfuji

	* tracepath6.c: Don't use sin / Use IN6_IS_ADDR_V4MAPPED().

2000-07-13 01:15  yoshfuji

	* tracepath6.c: Use getaddinfo().

2000-07-12 23:46  yoshfuji

	* traceroute6.c: Use getaddrinfo()/getnameinfo()

2000-07-12 22:55  yoshfuji

	* ping6.c: Don't use gethostbyname2().

2000-07-12 20:15  yoshfuji

	* ping6.c: Don't display round-trip time if you did NI query.

2000-07-12 20:12  yoshfuji

	* ping6.c: -a option didn't work

2000-07-12 19:20  yoshfuji

	* ping6.c: &nonce should be &nonce[0] or nonce

2000-07-12 17:58  yoshfuji

	* ping6.c: Use 6 random octets and 2 seqence-id for Nonce.

2000-07-12 14:41  yoshfuji

	* ping6.c: Do htons()/ntohs() for icmp6_id and icmp6_seq

2000-07-12 00:27  yoshfuji

	* ping6.c: ICMPv6 NI support.

2000-07-11 23:22  yoshfuji

	* ping6.c: -P was conflicted; change -P traffic-class to -T
	traffic-class.

2000-07-11 22:31  yoshfuji

	* ping6.c: IPsec.

2000-07-11 22:21  yoshfuji

	* ping6.c, ping6_rthdr.c, include/netinet/in_rthdr.h: Added
	copyright.

2000-07-11 21:45  yoshfuji

	* include/netinet/icmp6_ni.h: Definitions for ICMPv6 Node
	Information Protocol

2000-07-11 19:17  yoshfuji

	* ping6.c: -h hoplimit obsoletes -t ttl.

2000-07-11 19:04  yoshfuji

	* ping6.c: Compact socket() / setuid(getuid()) process

2000-07-11 18:44  yoshfuji

	* ping6.c: Update usage

2000-07-11 18:25  yoshfuji

	* ping6.c: Added entries for ND_ROUTER_{SOLITIC,ADVERT},
	ND_NEIGHBOR_{SOLITIC,ADVERT}, ND_REDIRECT, ICMP_NI_{QUERY,REPLY} to
	pr_icmph.

2000-07-11 17:08  yoshfuji

	* Makefile, ping6.c, ping6_rthdr.c, include/netinet/in_rthdr.h:
	move INET6_RTHDR* into separate files.

2000-07-11 15:43  yoshfuji

	* ping6.c: Use IN6_IS_ADDR_UNSPECIFIED() instead of
	ipv6_addr_any().

2000-07-11 13:30  yoshfuji

	* ping6.c: Condition for unknown interface was wrong.

2000-07-11 13:27  yoshfuji

	* ping6.c: Use if_nametoindex() instead of calling
	ioctl(SIOCGIFINDEX).

2000-07-11 13:10  yoshfuji

	* ping6.c: Use sizeof(*addr) instead of SA_LEN((struct
	sockaddr*)addr)

2000-07-11 12:35  yoshfuji

	* ping6.c: Use getaddrinfo()/getnameinfo() as possible

2000-07-11 02:20  yoshfuji

	* ping6.c: Use RFC2292 inet6_rthdr_*()

2000-07-11 01:33  yoshfuji

	* ping.c: Cast to (unsigned) long to have argument matched to
	format.

2000-07-11 01:32  yoshfuji

	* Makefile: Successfully compiled;
	arping,clockdiff,ping,tftpd,tracepath{,6}

2000-07-11 01:21  yoshfuji

	* ping6.c, rdisc.c: Cast to (unsigned) long to have argument
	matched to format.

2000-07-11 00:59  yoshfuji

	* traceroute6.c: Try to use only headers from glibc

2000-07-10 19:44  yoshfuji

	* Makefile, ping6.c: Try to use only headers from glibc (i.e. don't
	use kernel headers); other than ping6 will be fixed later

2000-07-10 19:27  yoshfuji

	* include-glibc/md5.h, include/md5.h: md5.h moved from
	glibc-include to include

2000-07-08 01:32  yoshfuji

	* Makefile, md5.c, include-glibc/md5.h: Added md5.{c,h} for ping6

2000-07-07 17:00  yoshfuji

	* Makefile: Generate symlink in make process; symlink is dropped by
	cvs...

2000-07-07 16:29  yoshfuji

	* initial: iputils-ss991024.

